X2Go Bug report logs - #364
Please add config option to disable bubble help text and change the wording of it

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Stefan Baur <newsgroups.mail2@stefanbaur.de>

Date: Wed, 11 Dec 2013 14:33:02 UTC

Severity: wishlist

Tags: pending

Found in version 4.0.1.2

Fixed in version 4.0.2.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#364; Package x2goclient. (Wed, 11 Dec 2013 14:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 11 Dec 2013 14:33:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: submit@bugs.x2go.org
Subject: Please add config option to disable bubble help text and change the wording of it
Date: Wed, 11 Dec 2013 15:28:50 +0100
Package: x2goclient
Severity: wishlist
Version: 4.0.1.2

Upon connection, an info bubble pops up, containing a *totally cryptic 
session name* and disappearing after five seconds or so.

No non-technical user can make use of that message, seriously. And even 
technical users will have a hard time memorizing a cryptic session name 
within 5 seconds.

Please, also add an option to disable this popup, and seriously consider 
changing the displayed info to something more user friendly like 
"Connection to host <host>, session <sessionname> established as user 
<user>." It's okay to add the cryptic string somewhere where techies can 
find it if they need it, maybe in an About-Box or so, but please - think 
of the chil^W ordinary non-technical end user.
And again, I'm kind of disappointed that we're adding silly eye candy 
when there still are serious bugs to fix.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#364; Package x2goclient. (Sat, 14 Dec 2013 20:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 14 Dec 2013 20:18:02 GMT) (full text, mbox, link).


Message #10 received at 364@bugs.x2go.org (full text, mbox, reply):

From: Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>
To: Stefan Baur <newsgroups.mail2@stefanbaur.de>, 364@bugs.x2go.org, x2go-dev@lists.berlios.de
Cc: submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#364: Please add config option to disable bubble help text and change the wording of it
Date: Sat, 14 Dec 2013 21:16:31 +0100
[Message part 1 (text/plain, inline)]
Package: x2goclient
Severity: wishlist
Version: 4.0.1.2

Hi Stefan,

I'm the developer that coded at first time the notification message about
the connection status. Somebody else modified after the code to introduce
extra information.

2013/12/11 Stefan Baur <newsgroups.mail2@stefanbaur.de>

> Upon connection, an info bubble pops up, containing a *totally cryptic
> session name* and disappearing after five seconds or so.
>
> No non-technical user can make use of that message, seriously. And even
> technical users will have a hard time memorizing a cryptic session name
> within 5 seconds.
>

Complete agree. Not happy to see the session name there.



>
> Please, also add an option to disable this popup, and seriously consider
> changing the displayed info to something more user friendly like
> "Connection to host <host>, session <sessionname> established as user
> <user>." It's okay to add the cryptic string somewhere where techies can
> find it if they need it, maybe in an About-Box or so, but please - think of
> the chil^W ordinary non-technical end user.
>

I'm agree to show info more user friendly but not agree to add an option to
disable this popu-p. Not sure who was the developer that added the session
id to the pop up. If the developer read this post maybe he could explain to
us why add this info in the pop-up.




> And again, I'm kind of disappointed that we're adding silly eye candy when
> there still are serious bugs to fix.
>

I added the pop-up because if you set on the x2goclient option "hide
windows on connect" (as I usually do with my users settings) looks like
nothing happens when you click on connect button. So some users try to do
again and again and connection stuck. It's no an "eye candy".

In addition, it's complete true there are serious bugs to fix instead to
add this feature so you have some options:
- Read in deep the code and send patches to fix them. And of course do it
for free and using the time you must to be with your family, friends or
doing some sports or something else...
- Fork the project and add the features you want
- Pay for commercial support to fix the bugs and your wishes

I don't want to be rude but it's an opensource project and not very happy
when somebody use the words "silly eye candy" talking about the time other
people spent for free.

Regards,
Ricardo Diaz
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#364; Package x2goclient. (Sat, 14 Dec 2013 21:33:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 14 Dec 2013 21:33:03 GMT) (full text, mbox, link).


Message #15 received at 364@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: x2go-dev@lists.berlios.de, Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>
Cc: Stefan Baur <newsgroups.mail2@stefanbaur.de>, 364@bugs.x2go.org, submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#364: Please add config option to disable bubble help text and change the wording of it
Date: Sat, 14 Dec 2013 21:24:12 +0000
[Message part 1 (text/plain, inline)]
Hi Ricardo,

On  Sa 14 Dez 2013 21:16:31 CET, Ricardo Díaz Martín wrote:

> I'm the developer that coded at first time the notification message about
> the connection status. Somebody else modified after the code to introduce
> extra information.
>
> 2013/12/11 Stefan Baur <newsgroups.mail2@stefanbaur.de>
>
>> Upon connection, an info bubble pops up, containing a *totally cryptic
>> session name* and disappearing after five seconds or so.
>>
>> No non-technical user can make use of that message, seriously. And even
>> technical users will have a hard time memorizing a cryptic session name
>> within 5 seconds.
>>
>
> Complete agree. Not happy to see the session name there.
>
>>
>> Please, also add an option to disable this popup, and seriously consider
>> changing the displayed info to something more user friendly like
>> "Connection to host <host>, session <sessionname> established as user
>> <user>." It's okay to add the cryptic string somewhere where techies can
>> find it if they need it, maybe in an About-Box or so, but please - think of
>> the chil^W ordinary non-technical end user.
>>
>
> I'm agree to show info more user friendly but not agree to add an option to
> disable this popu-p. Not sure who was the developer that added the session
> id to the pop up. If the developer read this post maybe he could explain to
> us why add this info in the pop-up.

/me shyly raises his hand...

I don't care too much for the session name in the bubble. I find it  
very helpful, but I lack normal user perspective, of course. However,  
I also think that we should make the bubble configurable. Actually it  
might be nice to be able to switch notifications on and off in the  
session profile. The default should be: bubbles turned on.

@Ricardo: can you fix the user unfriendliness of the current bubble in  
X2Go Client?

@myself: I will add the configurability of the notifications for the  
next X2Go Client release (4.0.1.3).

>> And again, I'm kind of disappointed that we're adding silly eye candy when
>> there still are serious bugs to fix.
>>
>
> I added the pop-up because if you set on the x2goclient option "hide
> windows on connect" (as I usually do with my users settings) looks like
> nothing happens when you click on connect button. So some users try to do
> again and again and connection stuck. It's no an "eye candy".
>
> In addition, it's complete true there are serious bugs to fix instead to
> add this feature so you have some options:
> - Read in deep the code and send patches to fix them. And of course do it
> for free and using the time you must to be with your family, friends or
> doing some sports or something else...
> - Fork the project and add the features you want
> - Pay for commercial support to fix the bugs and your wishes
>
> I don't want to be rude but it's an opensource project and not very happy
> when somebody use the words "silly eye candy" talking about the time other
> people spent for free.

@Ricardo: Stefan is one of those persons who is very supportive to  
X2Go behind the scenes. He also already contracted Alex for e.g.  
development of the published applications support.
@Stefan: supposing that someone adds ,,silly eye candy'' can be  
insultive, indeed. It's always good to check with the contributors  
(see debian/changelog) and check for the use case and give feedback  
during he development phase (and not 5 minutes before the releases is  
due). (-> X2Go Client from the nightly builds for Debian and Ubuntu  
had the bubbles for 2-3 months now and noone complaint so far).

light+love,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#364; Package x2goclient. (Sat, 14 Dec 2013 21:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 14 Dec 2013 21:48:02 GMT) (full text, mbox, link).


Message #20 received at 364@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>, 364@bugs.x2go.org, x2go-dev@lists.berlios.de
Cc: submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#364: Please add config option to disable bubble help text and change the wording of it
Date: Sat, 14 Dec 2013 22:20:59 +0100
Am 14.12.2013 21:16, schrieb Ricardo Díaz Martín:

>>     And again, I'm kind of disappointed that we're adding silly eye
>>     candy when there still are serious bugs to fix.
>
>
> I added the pop-up because if you set on the x2goclient option "hide
> windows on connect" (as I usually do with my users settings) looks like
> nothing happens when you click on connect button. So some users try to
> do again and again and connection stuck. It's no an "eye candy".

Okay, different use case, it seems. While I'm also setting "hide windows 
on connect", I'm using the autolauncher in combination with it, so that 
after login, the application that my users need the most immediately 
pops up.  So maybe we could hide it when autolaunch (--autostart=<app>) 
is used? Still, I don't see why making it a configurable option would be 
bad. Either your users behave and don't change settings on their own, so 
it stays the way you configured it for them, or you set the 
--no-session-edit parameter to force them.


> In addition, it's complete true there are serious bugs to fix instead to
> add this feature so you have some options:
> - Read in deep the code and send patches to fix them. And of course do
> it for free and using the time you must to be with your family, friends
> or doing some sports or something else...

While I'm not a "frontline" coder, and only do debugging when Mike#1 
tells me what and how to do, I do happen to check for issues and report 
bugs/oddities, plus I'm occasionally active in x2go-i10n (since no 
English native speaker seems to have enough time to check our English 
messages), and a lot of that actually happens in my free time, like the 
last evaluation of the x2goclient.exe that Mike#2 had asked for.

Also, I have a few things in the works that add value to the 
ThinClientEnvironment part of the project, it's just that I'm not 
committing the source directly but showing it to Mike#1 first, since TCE 
is his "baby" and he will know best where to add my code or how to tweak 
it to play along nicely.
Just two examples: One thing, passed on to him about a year ago, was 
code to auto-detect an X2Go server similar to how WPAD 
(http://en.wikipedia.org/wiki/Web_Proxy_Autodiscovery_Protocol) works.
Judging from a note I recently saw regarding the X2Go Session Broker, 
I'm guessing he's either using it or it has inspired him to come up with 
something similar.
Another thing is an X2Go ThinClient that can be booted off a CD or USB 
memory stick, for cases where PXE booting isn't available.
This is not for older clients that don't have a PXE boot rom - you can 
simply boot gPXE or iPXE off a CD on those - but for cases where PXE 
booting isn't available for other reasons, like:
- You are allowed to run an X2Go server, but do not have permission to 
change or set up a PXE/NFS environment (a common situation when someone 
wants to demonstrate X2Go in a corporate setting).
- You are travelling somewhere, want to connect to your X2Go server 
somewhere else over the Internet, didn't bring your own computer, only a 
USB key fob, and don't trust the Windows installation found on the 
machine you're being offered to use (if you can trust it, you can of 
course simply use x2goclient.exe in portable mode).

Looking back in the X2Go-dev mailing list history, I can see 17 messages 
from you and 113 (yes, one hundred and thirteen compared to seventeen) 
messages from me. So let that sink in for a moment before you continue 
barking up the wrong tree.


> - Fork the project and add the features you want
> - Pay for commercial support to fix the bugs and your wishes

And that last point is what I've done previously, more than once. Maybe 
you'd like to check on the wiki who sponsored the development of the 
published applications feature, for example?
http://wiki.x2go.org/doku.php/doc:sponsors
http://wiki.x2go.org/doku.php/doc:deployment-stories:electronic-glovebox
Or the Windows "interim" x2goclient that comes with the old pulseaudio, 
that avoids the stuttering noises when playing Flash videos? That would 
be me (or, to be exact: the company that I am the sole owner of), in 
both cases.

Also, you might want to check who provides the Apple Mac Mini (that is, 
the machine itself, the power, and the network connection) free of 
charge that is used for the MacOS x2goclient builds? Again, me/my company.

Your attitude, however, is one that might force me to reconsider my 
investment of time and money into the project. Especially as the Mac 
stuff is currently of zero commercial value to me: I bought that machine 
only so that the project could deliver a great user experience across 
all three major operating system platforms (while some of my customers 
are Mac owners, I learned that they prefer to run Windows on Apple 
hardware, so they run x2goclient.exe).


> I don't want to be rude but it's an opensource project and not very
> happy when somebody use the words "silly eye candy" talking about the
> time other people spent for free.

I don't want to be rude, either, but "free" isn't a valid excuse for 
"bad". Nor has it ever been.

See, you started with a seemingly harmless addition of an information 
"bubble". Then someone else came along and added the session name. This 
is somewhere between feature creep and a color-of-the-bicycle-shed 
(http://en.wikipedia.org/wiki/Wikipedia:Avoid_Parkinson%27s_Bicycle_Shed_Effect) 
discussion, and I would like to remind everybody involved that we should 
avoid that.

We should stick to the K.I.S.S. principle, get the serious bugs worked 
out, then add new features.
I also doubt it makes debugging of currently existing bugs easier while 
new code for new features keeps getting added.

-Stefan


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#364; Package x2goclient. (Sat, 14 Dec 2013 21:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 14 Dec 2013 21:48:02 GMT) (full text, mbox, link).


Message #25 received at 364@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, x2go-dev@lists.berlios.de, Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>
Cc: 364@bugs.x2go.org, submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#364: Please add config option to disable bubble help text and change the wording of it
Date: Sat, 14 Dec 2013 22:46:11 +0100
Am 14.12.2013 22:24, schrieb Mike Gabriel:

> /me shyly raises his hand...
>
> I don't care too much for the session name in the bubble. I find it very
> helpful, but I lack normal user perspective, of course. However, I also
> think that we should make the bubble configurable. Actually it might be
> nice to be able to switch notifications on and off in the session
> profile. The default should be: bubbles turned on.

And that's just the point. You're a developer. You need debug messages. 
Displaying a session name for that reason is totally okay, and I can see 
why you want those info bubbles with that content.
BUT:
1) The session name (i.e. the pseudorandom mumbo-jumbo, not the "human 
readable name" - it's okay to display that one to a regular user) should 
only be displayed inside the bubble if the client is in "debug mode". 
Either by adding a --debug or by ticking a checkbox in the options.
2) In debug mode, the message should appear for a longer period of time, 
so that you have a chance to copy and paste it. For me, it disappeared 
before I had a chance to even move my mouse over it from the center of 
my screen. And no, I'm not using a 100" screen. ;-)
3) I still believe that the best way to solve the issue would be to make 
it configurable, like:
- If "Debug" is set, always pop up, display the cryptic name along with 
the session name, and stay visible for at least 10 seconds
- If "Debug" is not set, but "Autostart" is set, completely hide the 
bubble. (optional)
- If neither is set, display the bubble for 4-5 seconds, only showing 
human readable information.

An ordinary user *will* be confused and irritated by that extra info.

[...]

> @Ricardo: Stefan is one of those persons who is very supportive to X2Go
> behind the scenes. He also already contracted Alex for e.g. development
> of the published applications support.

Thanks for putting that into perspective, Mike#1.


> @Stefan: supposing that someone adds ,,silly eye candy'' can be
> insultive, indeed. It's always good to check with the contributors (see
> debian/changelog) and check for the use case and give feedback during he
> development phase (and not 5 minutes before the releases is due). (->
> X2Go Client from the nightly builds for Debian and Ubuntu had the
> bubbles for 2-3 months now and noone complaint so far).

The thing is, so far, I'm only using the Windows client in my daily 
business, so I don't have a chance to catch those changes early on, 
unless you manage to provide nightlies for Windows as well.

The TCE stuff I'm working on in my free time is used by my 68-year old 
Dad (and I'm preparing a second ThinClient for my Mom), and I don't want 
to (ab)use him as a guinea pig for new X2Go features, so I'm not 
updating his client/server installations (aside from security patches - 
 the sources.lists on his machines actually exclude the regular debian 
archive and only include security.debian.org and the x2go wheezy repo) 
unless absolutely necessary.
And for my own personal computer, while it's dual-boot, I'm using 
Windows 7 most of the time, even off duty. Kind of sad, but true - and 
also a usability issue (the move from KDE3 to Win7 was easier than the 
move from KDE3 to KDE4 - and IMO, that's *not* because the Microsoft 
guys did a particularly good job with Win7 *hint, hint*).

Okay, enough ranting for today.

Kind Regards,
Stefan


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#364; Package x2goclient. (Mon, 16 Dec 2013 08:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 16 Dec 2013 08:03:01 GMT) (full text, mbox, link).


Message #30 received at 364@bugs.x2go.org (full text, mbox, reply):

From: Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>
To: Stefan Baur <newsgroups.mail2@stefanbaur.de>
Cc: 364@bugs.x2go.org, x2go-dev@lists.berlios.de, submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#364: Please add config option to disable bubble help text and change the wording of it
Date: Mon, 16 Dec 2013 08:52:06 +0100
[Message part 1 (text/plain, inline)]
2013/12/14 Stefan Baur <newsgroups.mail2@stefanbaur.de>

> Am 14.12.2013 21:16, schrieb Ricardo Díaz Martín:
>
>
>      And again, I'm kind of disappointed that we're adding silly eye
>>>     candy when there still are serious bugs to fix.
>>>
>>
>>
>> I added the pop-up because if you set on the x2goclient option "hide
>> windows on connect" (as I usually do with my users settings) looks like
>> nothing happens when you click on connect button. So some users try to
>> do again and again and connection stuck. It's no an "eye candy".
>>
>
> Okay, different use case, it seems. While I'm also setting "hide windows
> on connect", I'm using the autolauncher in combination with it, so that
> after login, the application that my users need the most immediately pops
> up.  So maybe we could hide it when autolaunch (--autostart=<app>) is used?
> Still, I don't see why making it a configurable option would be bad. Either
> your users behave and don't change settings on their own, so it stays the
> way you configured it for them, or you set the --no-session-edit parameter
> to force them.
>
>
>
>  In addition, it's complete true there are serious bugs to fix instead to
>> add this feature so you have some options:
>> - Read in deep the code and send patches to fix them. And of course do
>> it for free and using the time you must to be with your family, friends
>> or doing some sports or something else...
>>
>
> While I'm not a "frontline" coder, and only do debugging when Mike#1 tells
> me what and how to do, I do happen to check for issues and report
> bugs/oddities, plus I'm occasionally active in x2go-i10n (since no English
> native speaker seems to have enough time to check our English messages),
> and a lot of that actually happens in my free time, like the last
> evaluation of the x2goclient.exe that Mike#2 had asked for.
>
> Also, I have a few things in the works that add value to the
> ThinClientEnvironment part of the project, it's just that I'm not
> committing the source directly but showing it to Mike#1 first, since TCE is
> his "baby" and he will know best where to add my code or how to tweak it to
> play along nicely.
> Just two examples: One thing, passed on to him about a year ago, was code
> to auto-detect an X2Go server similar to how WPAD (
> http://en.wikipedia.org/wiki/Web_Proxy_Autodiscovery_Protocol) works.
> Judging from a note I recently saw regarding the X2Go Session Broker, I'm
> guessing he's either using it or it has inspired him to come up with
> something similar.
> Another thing is an X2Go ThinClient that can be booted off a CD or USB
> memory stick, for cases where PXE booting isn't available.
> This is not for older clients that don't have a PXE boot rom - you can
> simply boot gPXE or iPXE off a CD on those - but for cases where PXE
> booting isn't available for other reasons, like:
> - You are allowed to run an X2Go server, but do not have permission to
> change or set up a PXE/NFS environment (a common situation when someone
> wants to demonstrate X2Go in a corporate setting).
> - You are travelling somewhere, want to connect to your X2Go server
> somewhere else over the Internet, didn't bring your own computer, only a
> USB key fob, and don't trust the Windows installation found on the machine
> you're being offered to use (if you can trust it, you can of course simply
> use x2goclient.exe in portable mode).
>
> Looking back in the X2Go-dev mailing list history, I can see 17 messages
> from you and 113 (yes, one hundred and thirteen compared to seventeen)
> messages from me. So let that sink in for a moment before you continue
> barking up the wrong tree.
>


Very thanks to write 113 (yes, one hundred and thirteen) messages. It's
simple amazing. I wrote only 17... bad karma



>
>

>  - Fork the project and add the features you want
>> - Pay for commercial support to fix the bugs and your wishes
>>
>
> And that last point is what I've done previously, more than once. Maybe
> you'd like to check on the wiki who sponsored the development of the
> published applications feature, for example?
> http://wiki.x2go.org/doku.php/doc:sponsors
> http://wiki.x2go.org/doku.php/doc:deployment-stories:electronic-glovebox
>

> Or the Windows "interim" x2goclient that comes with the old pulseaudio,
> that avoids the stuttering noises when playing Flash videos? That would be
> me (or, to be exact: the company that I am the sole owner of), in both
> cases.
>
> Also, you might want to check who provides the Apple Mac Mini (that is,
> the machine itself, the power, and the network connection) free of charge
> that is used for the MacOS x2goclient builds? Again, me/my company.
>
> Your attitude, however, is one that might force me to reconsider my
> investment of time and money into the project. Especially as the Mac stuff
> is currently of zero commercial value to me: I bought that machine only so
> that the project could deliver a great user experience across all three
> major operating system platforms (while some of my customers are Mac
> owners, I learned that they prefer to run Windows on Apple hardware, so
> they run x2goclient.exe).
>
>
>
Oh my good! Please don't reconsider your very huge investment (mac mini is
very nice and expensive machine currently better than IBM mainframe). And
thanks for paying the development of the published applications feature!
Maybe it's nice for you because the product you sale is just this feature.



>
>  I don't want to be rude but it's an opensource project and not very
>> happy when somebody use the words "silly eye candy" talking about the
>> time other people spent for free.
>>
>
> I don't want to be rude, either, but "free" isn't a valid excuse for
> "bad". Nor has it ever been.
>


Sorry but people that fill a bug using word "silly" and still thinking it's
the right way to do it got no more my respect.




>
> See, you started with a seemingly harmless addition of an information
> "bubble". Then someone else came along and added the session name. This is
> somewhere between feature creep and a color-of-the-bicycle-shed (
> http://en.wikipedia.org/wiki/Wikipedia:Avoid_Parkinson%27s_
> Bicycle_Shed_Effect) discussion, and I would like to remind everybody
> involved that we should avoid that.
>


Thanks for the link.




>
> We should stick to the K.I.S.S. principle, get the serious bugs worked
> out, then add new features.
> I also doubt it makes debugging of currently existing bugs easier while
> new code for new features keeps getting added.
>
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#364; Package x2goclient. (Mon, 20 Jan 2014 17:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 20 Jan 2014 17:20:02 GMT) (full text, mbox, link).


Message #35 received at 364@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: 364@bugs.x2go.org
Cc: Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, "x2go-dev@lists.berlios.de" <x2go-dev@lists.berlios.de>
Subject: Bug#364: Please add config option to disable bubble help text and change the wording of it
Date: Mon, 20 Jan 2014 18:06:06 +0100
Hi List & hi Bugwatchers,

Mike#1 and I discussed the following approach via phone today:

- x2goclient gets a new commandline option like --debug or --verbose
- when this commandline option is set, the Info-Bubble will show the 
Session-ID; if it is not set, it will only display the information it 
was supposed to display as per Ricardo's original commit
- this change will be implemented for 4.0.1.3
- a config option/checkbox for it will be added with a later release.

- Stefan


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#364; Package x2goclient. (Wed, 22 Jan 2014 08:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 22 Jan 2014 08:10:02 GMT) (full text, mbox, link).


Message #40 received at 364@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Stefan Baur <newsgroups.mail2@stefanbaur.de>
Cc: 364@bugs.x2go.org, Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>
Subject: Re: Bug#364: Please add config option to disable bubble help text and change the wording of it
Date: Wed, 22 Jan 2014 08:08:05 +0000
[Message part 1 (text/plain, inline)]
On  Mo 20 Jan 2014 18:06:06 CET, Stefan Baur wrote:

> Hi List & hi Bugwatchers,
>
> Mike#1 and I discussed the following approach via phone today:
>
> - x2goclient gets a new commandline option like --debug or --verbose
> - when this commandline option is set, the Info-Bubble will show the  
> Session-ID; if it is not set, it will only display the information  
> it was supposed to display as per Ricardo's original commit
> - this change will be implemented for 4.0.1.3
> - a config option/checkbox for it will be added with a later release.
>
> - Stefan

Targetting this for X2Go Client 4.0.1.14 (and 4.0.2.0). 4.0.1.13 has  
just been released (to get the audio issue off the table).

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#364; Package x2goclient. (Wed, 22 Jan 2014 09:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 22 Jan 2014 09:25:02 GMT) (full text, mbox, link).


Message #45 received at 364@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 364@bugs.x2go.org, Stefan Baur <newsgroups.mail2@stefanbaur.de>
Subject: Re: [X2Go-Dev] Bug#364: Please add config option to disable bubble help text and change the wording of it
Date: Wed, 22 Jan 2014 09:22:18 +0000
[Message part 1 (text/plain, inline)]
On  Mi 22 Jan 2014 09:08:05 CET, Mike Gabriel wrote:

> On  Mo 20 Jan 2014 18:06:06 CET, Stefan Baur wrote:
>
>> Hi List & hi Bugwatchers,
>>
>> Mike#1 and I discussed the following approach via phone today:
>>
>> - x2goclient gets a new commandline option like --debug or --verbose
>> - when this commandline option is set, the Info-Bubble will show  
>> the Session-ID; if it is not set, it will only display the  
>> information it was supposed to display as per Ricardo's original  
>> commit
>> - this change will be implemented for 4.0.1.3
>> - a config option/checkbox for it will be added with a later release.
>>
>> - Stefan
>
> Targetting this for X2Go Client 4.0.1.14 (and 4.0.2.0). 4.0.1.13 has  
> just been released (to get the audio issue off the table).
>
> Mike

Typo... the target, of course, has to be 4.0.1.4 (not .14).

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#364; Package x2goclient. (Fri, 06 Jun 2014 18:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 06 Jun 2014 18:05:02 GMT) (full text, mbox, link).


Message #50 received at 364@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 364@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#364: Please add config option to disable bubble help text and change the wording of it
Date: Fri, 06 Jun 2014 19:57:51 +0200
Am 22.01.2014 10:22, schrieb Mike Gabriel:

>>> - x2goclient gets a new commandline option like --debug or
>>> --verbose - when this commandline option is set, the
>>> Info-Bubble will show the Session-ID; if it is not set, it will
>>> only display the information it was supposed to display as per
>>> Ricardo's original commit - this change will be implemented for
>>> 4.0.1.3 - a config option/checkbox for it will be added with a
>>> later release.
>> Targetting this for X2Go Client 4.0.1.14 (and 4.0.2.0). 4.0.1.13
>> has just been released (to get the audio issue off the table).
> Typo... the target, of course, has to be 4.0.1.4 (not .14). Mike

I just checked as I'm wondering if 4.0.2.0 is ready to be unleashed
upon my customers, and it seems 4.0.2.0 still has the session ID in
the bubble (it says: "New session started: <SesionID>").

Is there any chance we can get that feature - hiding the session id in
the bubble unless --debug is specified on the command line -
implemented/working in the near future?

-Stefan


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#364; Package x2goclient. (Sat, 07 Jun 2014 13:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 07 Jun 2014 13:40:01 GMT) (full text, mbox, link).


Message #55 received at 364@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 364-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 364@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Sat, 7 Jun 2014 15:36:18 +0200 (CEST)
tag #364 pending
fixed #364 4.0.2.1
thanks

Hello,

X2Go issue #364 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=18f4c67

The issue will most likely be fixed in src:x2goclient (4.0.2.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 18f4c677a7d9057ec5f40aa64612c07276f88bdf
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Jun 7 15:35:24 2014 +0200

    Only show session name in notification bubbles with debugging enabled. (Fixes: #364).

diff --git a/debian/changelog b/debian/changelog
index 9c1ad22..9a52ac0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,8 @@ x2goclient (4.0.2.1-0x2go1) UNRELEASED; urgency=low
   [ Mike Gabriel ]
   * New upstream release (4.0.2.1):
     - Fix FTBFS on arm64 (and others) architecture. (Fixes: #498).
+    - Only show session name in notification bubbles with debugging
+      enabled. (Fixes: #364).
   * debian/control:
     + Add dbg:package x2goplugin-dbg.
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 07 Jun 2014 13:40:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.2.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 07 Jun 2014 13:40:03 GMT) (full text, mbox, link).


Message sent on to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug#364. (Sat, 07 Jun 2014 13:40:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#364; Package x2goclient. (Sat, 12 Jul 2014 06:45:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 12 Jul 2014 06:45:03 GMT) (full text, mbox, link).


Message #67 received at 364@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 364-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 364@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Sat, 12 Jul 2014 08:41:41 +0200 (CEST)
close #364
thanks

Hello,

we are very hopeful that X2Go issue #364 reported by you
has been resolved in the new release (4.0.2.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.2.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=6d9114eb5f414f34962f8b14f58e5d469acd1574;hp=85bf0c6e7539910fff779689528009a897cdceb4

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.2.1-0x2go1
Status: RELEASE
Date: Fri, 11 Jul 2014 12:23:59 +0200
Fixes: 235 364 365 421 478 498 502 514 528
Changes: 
 x2goclient (4.0.2.1-0x2go1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.2.1):
     - Fix FTBFS on arm64 (and others) architecture. (Fixes: #498).
     - Only show session name in notification bubbles with debugging
       enabled. (Fixes: #364).
     - New command line option (--keep-trayicon). With that options set,
       we force X2Go client to only use the default "accelerated X" as
       system tray icon (and prohibit usage of the session's icon as
       tray icon). (Fixes: #365).
     - Provide more meaningful messages on SSH errors (host pub key not
       found, export pub key not found, authorized_keys file not found).
       For SSHd startup failures provide different messages on Windows
       and non-Windows machines. (Fixes: #235).
       FIXME: add detection code to report SSH daemon startup failures.
     - Add new cmdline option --hide-foldersharing. If used, all GUI
       elements related to exporting client-side folders to X2Go sessions
       get hidden. (Fixes: #514).
     - Update COPYING file (to update FSF address).
   * debian/control:
     + Add dbg:package x2goplugin-dbg.
 .
   [ Clemens Lang ]
   * New upstream version (4.0.2.1):
     - Re-add Info.plist file (which got removed by accident in commit 91cf6c6).
       (Fixes: #502).
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.2.1):
     - Hide GSSAPI options on direct RDP connections. (Fixes: #478).
     - Search X-Server in /Applications/Utilities/XQuartz.app on Mac.
     - Wrong cmd line option throw error dialog if running not from terminal.
     - Add command line option "close-disconnect", which make client close after
       session is disconnected.
     - Don't start pulse on Windows, until we really have to start a session
       that requires pulse support.
     - Check if sound is activated before starting pulse.
     - Fix starting sshd on Win XP. (Fixes: #421).
     - Fix "fullscreen" mode on Windows 7 with multiple monitors.
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.2.1):
     - Windows: Prevent high PulseAudio CPU usage on Windows XP by lowering
       PulseAudio's CPU priority from "high" to "normal" on XP specifically.
       Also do so on Windows Server 2003 (R2) (Fixes #526)
     - Windows: Enable PulseAudio log when --debug is passed.
     - Windows: Fix compatibility with current PulseAudio master branch
     - Windows: Reduce size of NSIS installer by switching to lzma solid compression
     - Windows: cygwin packages (inluding patched OpenSSH 6.6.1p1-3) updated from
       latest versions as of 2014-04-08 to latest versions as of 2014-06-09. This
       includes openssl 1.0.1h-1, which fixes the 6 CVEs announced on 2014-06-05.
       (Cygwin openssl was also individually updated to 1.0.1h-1 in
       4.0.2.0+build4.) This also includes migrating from libjpeg to
       libjpeg-turbo, which reduces CPU usage of nxproxy.)
     - Windows: Download and compile nx-libs-lite from the release tarball,
       rather than from git, so that the patches are actually applied
     - Windows: nx-libs-lite updated from 3.5.0.22 to 3.5.0.27
       (linked against aforementioned cygwin package versions)
     - Windows: Win32 OpenSSL updated from 1.0.1g to 1.0.1h, which fixes the 6
       CVEs announced on 2014-06-05.
       (Win32 OpenSSL was also updated to 1.0.1h in 4.0.2.0+build3.)
     - Windows: VcXsrv (XP Compatible) updated from 1.14.3.1 to 1.14.3.2.
       Fixes CVE-2014-0209, CVE-2014-0210, and CVE-2014-0211
       (VcXsrv was also updated to 1.14.3.2 in 4.0.2.0+build2.)
     - Windows: Switch from regular NSIS 2.46 to Unicode NSIS 2.46.5
       (Fixes: #528)


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 12 Jul 2014 06:45:10 GMT) (full text, mbox, link).


Notification sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug acknowledged by developer. (Sat, 12 Jul 2014 06:45:10 GMT) (full text, mbox, link).


Message sent on to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug#364. (Sat, 12 Jul 2014 06:45:15 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 10 Aug 2014 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Sep 15 07:43:54 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.